package com.bzd.system.service.xtsz;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 账号管理 service
* @author LiXiangFei
* @since 2024-10-18
*/

@Service
public class SXtszMdzhglAccountmanagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXtszMdzhglAccountmanagement(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglAccountmanagementMapper.addSXtszMdzhglAccountmanagement", pd);
    }

    public List<PageData> findSXtszMdzhglAccountmanagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXtszMdzhglAccountmanagementMapper.selectSXtszMdzhglAccountmanagementList", pd);
    }

    public Integer SXtszMdzhglAccountmanagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXtszMdzhglAccountmanagementMapper.SXtszMdzhglAccountmanagementRemove", pd);
    }


    public Integer updateSXtszMdzhglAccountmanagement(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglAccountmanagementMapper.updateSXtszMdzhglAccountmanagement", pd);
    }

}
